#flask_app/run_serve.py
import threading
import time

import requests
from waitress import serve
from flask_app.start_up import create_app
def warmup_request():
    # 等待服务器完全启动，例如等待 1-2 秒
    time.sleep(5)
    try:
        url = "http://127.0.0.1:5000/judge_zbfile"
        #url必须为永久地址，完成热启动，创建进程池
        payload = {"file_url": "https://intellbid-open.oss-cn-wuhan-lr.aliyuncs.com/test/094%E5%AE%9A%E7%A8%BF-%E6%B9%96%E5%8C%97%E5%B7%A5%E4%B8%9A%E5%A4%A7%E5%AD%A6%E8%BD%BB%E6%AD%A6%E5%99%A8%E6%A8%A1%E6%8B%9F%E5%B0%84%E5%87%BB%E8%AE%BE%E5%A4%87%E9%87%87%E8%B4%AD%E9%A1%B9%E7%9B%AE%E6%8B%9B%E6%A0%87%E6%96%87%E4%BB%B6.pdf"}  # 根据实际情况设置 file_url
        headers = {"Content-Type": "application/json"}
        response = requests.post(url, json=payload, headers=headers)
        print(f"Warm-up 请求发送成功，状态码：{response.status_code}")
    except Exception as e:
        print(f"Warm-up 请求出错：{e}")

if __name__ == "__main__":
    app = create_app()
    threading.Thread(target=warmup_request, daemon=True).start()
    serve(app, host='0.0.0.0', port=5000)